org.eclipse.jetty.websocket

## Class WebSocketServletConnectionD00

- java.lang.Object
- - org.eclipse.jetty.io.AbstractConnection
  - - org.eclipse.jetty.websocket.WebSocketConnectionD00
    - - org.eclipse.jetty.websocket.WebSocketServletConnectionD00

- All Implemented Interfaces:
    Connection, AsyncConnection, WebSocket.Connection, WebSocket.FrameConnection, WebSocketConnection, WebSocketServletConnection

      public class WebSocketServletConnectionD00
      extends WebSocketConnectionD00
      implements WebSocketServletConnection

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.websocket.WebSocketConnectionD00

      `LENGTH_FRAME, SENTINEL_FRAME`

    - ### Fields inherited from class org.eclipse.jetty.io.AbstractConnection

      `_endp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebSocketServletConnectionD00(WebSocketFactory factory, WebSocket websocket, EndPoint endpoint, WebSocketBuffers buffers, long timestamp, int maxIdleTime, java.lang.String protocol)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handshake(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String subprotocol)`
    `void` | `onClose()` Called after the connection is closed

    - ### Methods inherited from class org.eclipse.jetty.websocket.WebSocketConnectionD00

      `binaryOpcode, close, close, continuationOpcode, disconnect, doTheHixieHixieShake, fillBuffersFrom, finMask, getConnection, getExtensions, getMaxBinaryMessageSize, getMaxIdleTime, getMaxTextMessageSize, getProtocol, handle, isAllowFrameFragmentation, isBinary, isClose, isContinuation, isControl, isIdle, isMessageComplete, isMore, isOpen, isPing, isPong, isSuspended, isText, onFrameHandshake, onInputShutdown, onWebsocketOpen, sendControl, sendFrame, sendMessage, sendMessage, setAllowFrameFragmentation, setHixieKeys, setMaxBinaryMessageSize, setMaxIdleTime, setMaxTextMessageSize, shutdown, textOpcode`

    - ### Methods inherited from class org.eclipse.jetty.io.AbstractConnection

      `getEndPoint, getTimeStamp, onIdleExpired, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jetty.websocket.WebSocketConnection

      `fillBuffersFrom, getConnection, getExtensions, shutdown`

    - ### Methods inherited from interface org.eclipse.jetty.io.nio.AsyncConnection

      `onInputShutdown`

    - ### Methods inherited from interface org.eclipse.jetty.io.Connection

      `getTimeStamp, handle, isIdle, isSuspended, onIdleExpired`

- - ### Constructor Detail

    - #### WebSocketServletConnectionD00

          public WebSocketServletConnectionD00(WebSocketFactory factory,
                                       WebSocket websocket,
                                       EndPoint endpoint,
                                       WebSocketBuffers buffers,
                                       long timestamp,
                                       int maxIdleTime,
                                       java.lang.String protocol)
                                        throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### handshake

          public void handshake(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response,
                       java.lang.String subprotocol)
                         throws java.io.IOException

      Specified by:
        `handshake` in interface `WebSocketServletConnection`
      Throws:
        `java.io.IOException`

    - #### onClose

          public void onClose()

      Description copied from interface: `Connection`
      Called after the connection is closed
      Specified by:
        `onClose` in interface `Connection`
      Overrides:
        `onClose` in class `WebSocketConnectionD00`

Copyright © 2013 FuseSource, Corp.. All Rights Reserved.